summaryrefslogtreecommitdiff
path: root/games/supermariowar/supermariowar.SlackBuild
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2014-04-10 12:12:00 +0700
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-10 12:12:00 +0700
commitad7c9ab70abae36fdf02632cae6dbc28bca57e22 (patch)
treeba830a29f36fc5ad614420d2a2d217fadbc337a8 /games/supermariowar/supermariowar.SlackBuild
parent43f99ca5f1f282c292fa796189c15294fb70cdeb (diff)
downloadslackbuilds-ad7c9ab70abae36fdf02632cae6dbc28bca57e22.tar.gz
games/supermariowar: Added (Super Mario multiplayer game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/supermariowar/supermariowar.SlackBuild')
-rw-r--r--games/supermariowar/supermariowar.SlackBuild100
1 files changed, 100 insertions, 0 deletions
diff --git a/games/supermariowar/supermariowar.SlackBuild b/games/supermariowar/supermariowar.SlackBuild
new file mode 100644
index 0000000000..c0c290fbd0
--- /dev/null
+++ b/games/supermariowar/supermariowar.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for supermariowar
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=supermariowar
+VERSION=${VERSION:-r16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# C++ is a fast-moving target, code from 2009, compiler from 2014 or so.
+# Also, the code got refactored and the VC++ projects updated, but the
+# Makefile hadn't been (so I had to parse the VC++ project file, ugh).
+patch -p1 < $CWD/compilefixes.diff
+
+# the configure script isn't autoconf (yay), but it has CRLFs (boo)
+sed -i 's,\r,,g' configure
+sh configure
+sed -i "/^CFLAGS/s,$, $SLKCFLAGS -fpermissive," configuration
+
+make
+
+# 'make install' installs maps/worlds a+w, don't want. We use
+# setgid games executables instead.
+mkdir -p $PKG/usr/games $PKG/usr/share/games/smw/
+install -s -m0755 smw $PKG/usr/games
+install -s -m2755 -g games leveledit $PKG/usr/games/smw-leveledit
+install -s -m2755 -g games worldedit $PKG/usr/games/smw-worldedit
+cp -r gfx maps music sfx tours worlds $PKG/usr/share/games/smw
+chown -R root:games $PKG/usr/share/games/smw
+chmod -R 0775 $PKG/usr/share/games/smw
+
+# icons extracted from _src/icons/*.ico with icotool.
+# .desktop files written for this build.
+# No man pages, since none of the executables take any options.
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
+for i in $PKG/usr/games/*; do
+ exe=$(basename $i)
+ cat $CWD/icons/$exe.png > $PKG/usr/share/pixmaps/$exe.png
+ cat $CWD/desktop/$exe.desktop > $PKG/usr/share/applications/$exe.desktop
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# get rid of the CRLFs in the docs
+for i in *.html *.html *.txt; do
+ sed 's,\r,,g' "$i" > $PKG/usr/doc/$PRGNAM-$VERSION/"$i"
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}